(* -----------------------------------------------------------------------------
  DropMasterSource
  Copyright  2018     : Copyright Adirondack Software & Graphics
  Last Modification    : 10-21-2019
  ImageEn              : 8.x
  Requires             : Raize DropMasterSource
  Compiler             : Delphi Tokyo 10.2
  Platform             : VCL Windows Win32/Win64
  Operating System     : Windows 10
  This file is copyright  W. Miller, 1986-2018
  It may be used without restriction. This code distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
  --------------------------------------------------------------------------- *)
unit Unit1;

interface

uses
  Windows, Types, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons, Grids, ExtCtrls, DMComps, hyieutils, iexBitmaps,
  hyiedefs, iesettings, iexLayers, iexRulers, ieview, imageenview;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    DMGraphicSource1: TDMGraphicSource;
    DMGraphicSource2: TDMGraphicSource;
    Image1: TImage;
    Label1: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label29: TLabel;
    Panel2: TPanel;
    ImageEnView1: TImageEnView;
    Panel6: TPanel;
    btnClose: TButton;
    DMGraphicSource3: TDMGraphicSource;
    procedure btnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure Panel6MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImageEnView1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    procedure updateAcceptGraphicFormats;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  TypInfo;

procedure TForm1.btnCloseClick(Sender: TObject);
// Close down
begin
  Close;
  //Application.Terminate;
end;

procedure TForm1.FormCreate(Sender: TObject);
// Set up at form creation time
begin
  ImageEnView1.Bitmap.Assign(Image1.Picture.Bitmap);
  ImageEnView1.Update;
end;

procedure TForm1.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
// Detect the start of a drag for Image2, and begin the drag operation.
begin
  if DragDetect(Handle, POINT(X,Y)) then
    DMGraphicSource1.Execute;
end;

procedure TForm1.Image2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
// Detect the start of a drag for Image3, and begin the drag operation.
begin
  if DragDetect(Handle, POINT(X,Y)) then
    DMGraphicSource2.Execute;
end;

procedure TForm1.ImageEnView1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
  // Detect the start of a drag for ImageEnView1, and begin the drag operation.
begin
  // Assign the ImageEnView Bitmap to the graphic source
  DMGraphicSource2.Picture.Bitmap := ImageEnView1.IEBitmap.VclBitmap;
  DMGraphicSource2.Execute;
end;

procedure TForm1.updateAcceptGraphicFormats;
begin
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  updateAcceptGraphicFormats;
end;

procedure TForm1.Panel6MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
// Detect the start of a drag for Panel6, and begin the drag operation.
begin
  // No DonorImage this time.  Just get the image of the form's client area
  // into the Picture property, and execute the graphic source.
  // See how easy this is?
  if DragDetect(Panel6.Handle, POINT(X,Y)) then
  begin
    DMGraphicSource3.Picture.Bitmap := GetFormImage;
    DMGraphicSource3.Execute;
  end;

end;

end.
